curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lyclm3ey2q6rww027t&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.facebook.com/MrBeast6000", "num_of_posts": 10}, {"url": "https://www.facebook.com/NASA", "start_date": "01-01-2025", "end_date": "03-01-2025"}]}'[
{
"url": "https://www.facebook.com/reel/2128461008004479",
"post_id": "1417440860423673",
"user_url": "https://www.facebook.com/tmcnewsbr",
"user_username_raw": "Radio Transamerica FM",
"content": "Increase in US-Iran tensions...",
"date_posted": "2026-04-06T00:00:00.000Z",
"hashtags": ["#guerra", "#eua"],
"num_comments": 2,
"num_shares": 0,
"video_view_count": 582,
"likes": 3,
"page_name": "Radio Transamerica FM",
"profile_id": "100064733164731",
"page_logo": "https://...",
"page_likes": 0,
"page_followers": 1200000,
"thumbnail": "https://...",
"page_url": "https://www.facebook.com/tmcnewsbr",
"profile_handle": "tmcnewsbr",
"shortcode": "2128461008004479",
"length": 13.888,
"audio": "AVAILABLE",
"video_url": "https://..."
}
]
Facebook
按资料网址收集Reels视频
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lyclm3ey2q6rww027t&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.facebook.com/MrBeast6000", "num_of_posts": 10}, {"url": "https://www.facebook.com/NASA", "start_date": "01-01-2025", "end_date": "03-01-2025"}]}'[
{
"url": "https://www.facebook.com/reel/2128461008004479",
"post_id": "1417440860423673",
"user_url": "https://www.facebook.com/tmcnewsbr",
"user_username_raw": "Radio Transamerica FM",
"content": "Increase in US-Iran tensions...",
"date_posted": "2026-04-06T00:00:00.000Z",
"hashtags": ["#guerra", "#eua"],
"num_comments": 2,
"num_shares": 0,
"video_view_count": 582,
"likes": 3,
"page_name": "Radio Transamerica FM",
"profile_id": "100064733164731",
"page_logo": "https://...",
"page_likes": 0,
"page_followers": 1200000,
"thumbnail": "https://...",
"page_url": "https://www.facebook.com/tmcnewsbr",
"profile_handle": "tmcnewsbr",
"shortcode": "2128461008004479",
"length": 13.888,
"audio": "AVAILABLE",
"video_url": "https://..."
}
]
查询参数
string
默认值:"gd_lyclm3ey2q6rww027t"
必填
用于此请求的数据集 ID。
必须设置为
gd_lyclm3ey2q6rww027t 以收集 Facebook 短视频数据。boolean
默认值:false
请求完成时是否发送通知。
boolean
默认值:true
是否在响应中包含错误。
请求体
object[]
必填
输入对象数组。
显示 properties
显示 properties
示例
{
"input": [
{"url": "https://www.facebook.com/MrBeast6000", "num_of_posts": 10},
{"url": "https://www.facebook.com/NASA", "start_date": "01-01-2025", "end_date": "03-01-2025"}
]
}
[
{
"url": "https://www.facebook.com/reel/2128461008004479",
"post_id": "1417440860423673",
"user_url": "https://www.facebook.com/tmcnewsbr",
"user_username_raw": "Radio Transamerica FM",
"content": "Increase in US-Iran tensions...",
"date_posted": "2026-04-06T00:00:00.000Z",
"hashtags": ["#guerra", "#eua"],
"num_comments": 2,
"num_shares": 0,
"video_view_count": 582,
"likes": 3,
"page_name": "Radio Transamerica FM",
"profile_id": "100064733164731",
"page_logo": "https://...",
"page_likes": 0,
"page_followers": 1200000,
"thumbnail": "https://...",
"page_url": "https://www.facebook.com/tmcnewsbr",
"profile_handle": "tmcnewsbr",
"shortcode": "2128461008004479",
"length": 13.888,
"audio": "AVAILABLE",
"video_url": "https://..."
}
]
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Must be gd_lyclm3ey2q6rww027t for this dataset.
Send notifications when the request is completed.
Include errors in the response.
请求体
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
响应
200 - application/json
OK. See response example below the parameters.
此页面对您有帮助吗?